API to create subscriptions by tracking numbers.
This endpoint takes a list of tracking numbers and creates a subscription for each. Clients must provide the tracking numbers in the correct format.
Upon success it should return:
- List of valid tracking number for which subscription created.
- List of invalid tracking number for which subscription not created.
Authentication
AuthorizationBearer
“Find your Client ID and Secret on your app info page.
- Select “Try It”
- In the Security section enter your Client ID and Secret.
- Select “Request Token”
- Enter any additional information in the Body and Parameters sections.
- Select “Send” to execute your API request”
Path parameters
version
version
Allowed values:
Headers
transId
An identifier unique to the request.
transactionSrc
Identifies the client/source application that is calling.
Request
This endpoint expects an object.
locale
Locale setting is composed of language code and country code, separated by an underscore. Currently only english US(en_US) is accepted.
trackingNumberList
Represents list of tracking numbers in request.
destination
The destination container related to the clients endpoint API. To which messages would be sent on an event on the package.
countryCode
Represents the country code. This field is reserved for future use.
Response
Successful operation
validTrackingNumbers
List of tracking numbers with successful subscription created.
invalidTrackingNumbers
List of tracking numbers associated with errors preventing subscription creation.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
429
Too Many Requests Error
500
Internal Server Error